
@font-face {
  font-family: 'Dosis';
  src: url('Dosis-Medium.ttf');
}

html {
	font-family: 'Dosis', sans-serif;
	-ms-text-size-adjust:100%;
	-webkit-text-size-adjust:100%;
	font-size:12px;
	-webkit-tap-highlight-color:rgba(0,0,0,0);
  scroll-behavior: smooth;
}

body {
	font-family: 'Dosis', sans-serif;
	height:100%;
	font-size:18px;
	line-height:1.42857143;
	color:#333;
	color:#454545;
	background-color:#fff;
	margin:0;
	overflow-x:hidden;
}

a {
	text-decoration:none;
}

.form-inline {
  display: flex;
  align-items: center;
}

.form-inline button {
  margin-left: 20px;
}

/*       ******************        */
#container
{
  text-align: center;	
	margin: 0px;
	padding: 0px;
	color: #434343;	
}



#container p
{
	font-size: 16px;
}

#wifi-list
{
	width: 250px;
	margin: 0px auto;
	position: relative;
	background: #fff;
}

#wifi-list-header
{
	margin: 0px;
	padding: 12px 0px;
	display: block;
	font-size: 18px;
	background: #27ae61;
	color: #fff;
}

.wifi-list-item
{
	text-align: left;
	margin: 0px;
	display: block;
	border-bottom: 1px solid #434343;
	padding: 12px 7px;
	background: #fff;
}

.wifi-list-item a, .wifi-list-item a:visited
{
	font-size: 16px;
	display: block;
	text-decoration: none;
	color: #434343;
}

i
{
	float:right;	
}

.wifi-list-item:last-child
{
	border-bottom: none;
}

/*
#hidden-ssid
{
	border: 1px solid #434343;
	background: #fff;
	padding: 6px 3px;
	font-size: 16px;
}

#submit-btn 
{
	border: none;
	background: #27ae61;
	color: #fff;
	padding: 6px 6px;
	font-size: 16px;
}*/

/*       ******************        */



h1 {
	font-size:2em;
	margin:.67em 0;
	font-family:inherit;
	font-weight:500;
	line-height:1.1;
	color:inherit;
	margin-top:20px;
	margin-bottom:0px;
	font-size:36px;
}

button,input,textarea {
	font-family:inherit;
	font-size:inherit;
	line-height:inherit;
	color:inherit;
	font:inherit;
	margin:0;
}

button {
	overflow:visible;
	text-transform:none;
	-webkit-appearance:button;
	cursor:pointer;
}

button::-moz-focus-inner,input::-moz-focus-inner {
	border:0;
	padding:0;
}

input {
	line-height:normal;
}

textarea {
	overflow:auto;
}

@media print {
	*,:after,:before {
		color:#000!important;
		text-shadow:none!important;
		background:0 0!important;
		-webkit-box-shadow:none!important;
		box-shadow:none!important;
	}
}

*,:after,:before {
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
	box-sizing:border-box;
}


.form-control {
	display:block;
	font-size:14px;
	line-height:1.42857143;
	color:#555;
	width:100%;
	height:34px;
	padding:6px 12px;
	background-color:#fff;
	background-image:none;
	border:1px solid #ccc;
	border-radius:4px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
	-webkit-transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	-o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
	-webkit-transition:border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
	transition:border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
	transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}

.form-control:focus {
	border-color:#66afe9;
	outline:0;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
}

.form-control::-moz-placeholder {
	color:#999;
	opacity:1;
}

.form-control:-ms-input-placeholder {
	color:#999;
}

.form-control::-webkit-input-placeholder {
	color:#999;
}

.form-control::-ms-expand {
	background-color:transparent;
	border:0;
}

.form-group {
	margin-bottom:15px;
	margin-left: auto;
	margin-right: auto; 
}

.m-w-300 {
	max-width:300px;
}

.m-w-250 {
	max-width:250px;
}

.m-w-150 {
	max-width:150px;
}

.mb-0 {
	margin-bottom: 0px !important;
}

.btn {
	display:inline-block;
	margin-bottom:0;
	font-weight:400;
	text-align:center;

	vertical-align:middle;
	-ms-touch-action:manipulation;
	touch-action:manipulation;
	cursor:pointer;
	background-image:none;
	border:1px solid transparent;
	font-size:14px;
	line-height:1.42857143;
	border-radius:4px;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}

.btn:active:focus,.btn:focus {
	outline:5px auto -webkit-focus-ring-color;
	outline-offset:-2px;
}

.btn:focus,.btn:hover {
	color:#333;
	text-decoration:none;
}

.btn:active {
	background-image:none;
	outline:0;
	-webkit-box-shadow:inset 0 3px 5px rgba(0,0,0,.125);
	box-shadow:inset 0 3px 5px rgba(0,0,0,.125);
}

.btn-primary {
	font-size: 18px;
	padding-left: 15% !important;
	padding-right: 15% !important;
	color:#fff;
	background-color:#337ab7;
	border-color:#2e6da4;
}

.btn-primary:focus {
	color:#fff;
	background-color:#286090;
	border-color:#122b40;
}

.btn-primary:hover {
	color:#fff;
	background-color:#286090;
	border-color:#204d74;
}

.btn-primary:active {
	color:#fff;
	background-color:#286090;
	background-image:none;
	border-color:#204d74;
}

.btn-primary:active:focus,.btn-primary:active:hover {
	color:#fff;
	background-color:#204d74;
	border-color:#122b40;
}

.btn-link {
	font-size: 18px;
	font-weight:400;
	color:#337ab7;
	border-radius:0;
}

.btn-link,.btn-link:active {
	background-color:transparent;
	-webkit-box-shadow:none;
	box-shadow:none;
}

.btn-link,.btn-link:active,.btn-link:focus,.btn-link:hover {
	border-color:transparent;
}

.btn-link:focus,.btn-link:hover {
	color:#23527c;
	text-decoration:underline;
	background-color:transparent;
}


.btn-info {
	color:#fff;
	background-color:#5bc0de;
	border-color:#46b8da;
}

.btn-info:focus {
	color:#fff;
	background-color:#31b0d5;
	border-color:#1b6d85;
}

.btn-info:hover {
	color:#fff;
	background-color:#31b0d5;
	border-color:#269abc;
}

.btn-info:active {
	color:#fff;
	background-color:#31b0d5;
	background-image:none;
	border-color:#269abc;
}

.btn-info:active:focus,.btn-info:active:hover {
	color:#fff;
	background-color:#269abc;
	border-color:#1b6d85;
}

.btn.btn-info {
	background:#21b9bb;
	border-color:#1da4a5;
}

.btn.btn-info:active,.btn.btn-info:focus,.btn.btn-info:hover {
	background:#1da4a5;
}




.react-boostrap-button-wrapper {
	border-radius:20px!important;
}

.react-boostrap-button-wrapper.btn-primary {
	-webkit-box-shadow:0 5px 6px -1px rgba(17,147,111,.25);
	-moz-box-shadow:0 5px 6px -1px rgba(17,147,111,.25);
	box-shadow:0 5px 6px -1px rgba(17,147,111,.25);
}

::-webkit-scrollbar {
	width:10px;
}

::-webkit-scrollbar-button {
	width:0;
	height:0;
}

::-webkit-scrollbar-track {
	background:#169c81;
	border:thin solid #13866f;
}

::-webkit-scrollbar-thumb {
	background:#13866f;
	border:none;
	transition:.3s;
}

::-webkit-scrollbar-thumb:hover {
	background:#169c81;
}

::-webkit-scrollbar-track-piece {
	background:#169c81;
	border:none;
	border-left:1px solid #13866f;
	box-shadow:none;
}


.m-b-20 {
	margin-bottom:20px;
}

.m-b-40 {
	margin-bottom:40px;
}

.m-t-50 {
	margin-top:50px;
}

.m-y-20 {
	margin-top:20px;
	margin-bottom:20px;
}

.btn {
	color:#fff;
	padding:8px 14px;
	border-radius:0;
}

.btn:active:focus,.btn:focus {
	outline:none;
}

.btn.btn-primary {
	background:#11936f;
	border-color:#0e7c5e;
}

.btn.btn-primary:active,.btn.btn-primary:focus,.btn.btn-primary:hover {
	background:#0e7c5e;
}

.btn.btn-link {
	color:#454545;
}

form .form-control {
	background-color:#fff;
	border:1px solid #e5e6e7;
	color:inherit;
	display:block;
	height: 40px;
	width:100%;
	font-size:18px;
}

form .form-control:active,form .form-control:focus {
	border-color:#11936f;
}

#app-loading {
	width:100%;
	min-height:100vh;
	display:flex;
	justify-content:center;
	align-items:center;
}

.login {
	background:#11936f;
}

.login .setup-form {
	flex-basis:500px;
	background:#fff;
	text-align:center;
	margin: 25px 15px;
	box-shadow:0 10px 10px -5px;
}

.login .setup-form-wrapper {
	padding:30px 6%;
}

.login .setup-form h1 {
	font-size:38px;
	font-weight:400;
}

/*.login .setup-form .btn {
	width:100%;
	font-size:18px;
}*/

.grecaptcha-badge {
	opacity:0!important;
}


/* TABULKA */

.react-bootstrap-table table {
	/*table-layout:fixed;*/
}

table {
	border-collapse:collapse;
	border-spacing:0;
}

td,th {
	padding:0;
}


thead {
	display:table-header-group;
}

tr {
	page-break-inside:avoid;
}

.table {
	border-collapse:collapse!important;
}

.table td,.table th {
	background-color:#fff!important;
}

}

table {
	background-color:transparent;
}

th {
	text-align:left;
}

.table {
	width:100%;
	max-width:100%;
	margin-bottom:20px;
}

.table>tbody>tr>td,.table>thead>tr>th {
	padding:8px;
	line-height:1.42857143;
	vertical-align:top;
	border-top:1px solid #ddd;
}

.table>thead>tr>th {
	vertical-align:bottom;
	border-bottom:2px solid #ddd;
}

.table>thead:first-child>tr:first-child>th {
	border-top:0;
}

/*! CSS Used from: https://app.fengoo.cz/css/app.62c6fa3f5d4c730f3e6b.css */
.boostrap-table-component tr td {
	height:45px;
	vertical-align:middle!important;
}

.boostrap-table-component tr td:first-child {
	/*padding-left:10%;*/
	text-align: left;
}

.boostrap-table-component tr td:last-child {
	padding-right:0px;
	text-align: left;
}

.table-tight tr td:first-child {
	/*padding-left:10%;*/
	text-align: right;
}

.text-left {
	text-align: left !important;
}

.table-tight tr td:nth-child(2) {
	padding-right:0px;
	text-align: left;
}

.boostrap-table-component table {
	counter-reset:rowNumber;
}

.boostrap-table-component tbody tr {
	counter-increment:rowNumber;
}

.boostrap-table-component tbody tr td>.table-row-index-formatter:before {
	content:counter(rowNumber) ".";
}

.bold-cell-formatter {
	font-weight:700;
}

.TableCellButton {
	width:100%;
}

.TableCellButton-text-align-right {
	text-align:right;
}

.dashboard-container-has-table-header {
	margin-top:0px;
	margin-bottom:30px;
}

.table>thead>tr>th {
	border-bottom:1px solid #ddd;
	vertical-align:bottom;
}

.table>tbody>tr>td,.table>thead>tr>th {
	border-top:1px solid #e7eaec;
	line-height:1.42857;
	padding:8px;
	vertical-align:top;
}

.table .btn-edit {
	display: block;
	margin-right: 0px;
	margin-left: auto;
}

.btn.btn-edit {
	height: 32px !important;
	width: 32px !important;
	background-image: url("img/edit.svg"); /* 16px x 16px */
	background-size: 16px 16px;
  background-color: #21b9bb; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 7px 7px;  /* equivalent to 'top left' */
	border-color:#1da4a5;
	cursor: pointer;
}

.btn.btn-edit:active,.btn.btn-edit:focus,.btn.btn-edit:hover {
	color:#fff;
  background-color: #1da4a5; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 6px 6px;  /* equivalent to 'top left' */

}

.footer { 
	background:none repeat scroll 0 0 #fff;
	font-size:13px;
	border-top:1px solid #e7eaec;
	padding:10px 20px;
	margin-top:40px;
	margin-left:-15px;
	margin-right:-15px;
	text-align:right;
}

.common-page-header-header {
  text-align: left;
  font-size: 40px;
}


.img-lock {
	background-image: url("img/lock.svg"); /* 16px x 16px */
	background-size: 20px 20px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 12px 12px;  /* equivalent to 'top left' */
}

.img-signal1 {
	background-image: url("img/signal1.svg"); /* 16px x 16px */
	background-size: 22px 22px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 10px 10px;  /* equivalent to 'top left' */
}

.img-signal2 {
	background-image: url("img/signal2.svg"); /* 16px x 16px */
	background-size: 22px 22px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 10px 10px;  /* equivalent to 'top left' */
}

.img-signal3 {
	background-image: url("img/signal3.svg"); /* 16px x 16px */
	background-size: 22px 22px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 10px 10px;  /* equivalent to 'top left' */
}

.img-signal4 {
	background-image: url("img/signal4.svg"); /* 16px x 16px */
	background-size: 22px 22px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 10px 10px;  /* equivalent to 'top left' */
}

.img-spinner {
	background-image: url("img/spinner.gif"); /* 16px x 16px */
	background-size: 50px 50px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: center;  /* equivalent to 'top left' */
  min-height: 50px;


}


.table .btn-connect {
	display: block;
	margin-right: 0px !important;
	margin-left: auto !important;
	width: auto !important;
	font-size: 14px !important;
}

.btn.btn-connect {
	
	cursor: pointer;
	color:#fff;
	background-color:#21b9bb;
	border-color:#1da4a5;
}

.btn.btn-connect:active,.btn.btn-connect:focus,.btn.btn-connect:hover {
  background-color: #1da4a5; /* make the button transparent */
}

.back-wrapper {
	position: absolute;


  height: 40px;
  width: 80px;
  padding: 0px;
  box-sizing: border-box;

}

.back-wrapper a {
	position: absolute;
	color: white;
	text-decoration: none;
	margin-left: -40px;
	padding-top: 8px;
	padding-left: 25px;
  height: 40px;
  width: 80px;
  background-color: #169c81;
  font-weight: bold;

}

.img-back {
	background-image: url("img/arrow-back.svg"); /* 16px x 16px */
	background-size: 28px 28px;
  background-color: transparent; /* make the button transparent */
  background-repeat: no-repeat;  /* make the background image appear only once */
  background-position: 2px 6px;  /* equivalent to 'top left' */
}

.box-info{
	text-align: left;
	margin-bottom: 20px;
}

.bold {
	font-weight: bold;
}

.box-info-block{
	text-align: justify;
	margin-bottom: 20px;
}





.has-error .form-control {
	border-color:#a94442;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
}

.has-error .form-control:focus {
	border-color:#843534;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 6px #ce8483;
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 6px #ce8483;
}

.has-error .input-group-addon {
	color:#a94442;
	background-color:#f2dede;
	border-color:#a94442;
}



.input-group {
	position:relative;
	display:table;
	border-collapse:separate;

}

.input-group-addon,.input-group .form-control {
	display:table-cell;
}

.input-group-addon {
	width:1%;
	white-space:normal;
	vertical-align:middle;
}

.input-group-addon {
	padding:6px 12px;
	font-size:14px;
	font-weight:400;
	line-height:1;
	color:#555;
	text-align:center;
	background-color:#eee;
	border:1px solid #ccc;
	border-radius:4px;
}

.input-group-addon:last-child {
	border-top-left-radius:0;
	border-bottom-left-radius:0;
}

.input-group-addon:last-child {
	border-left:0;
}

.input-group .form-control:first-child {
	border-top-right-radius:0;
	border-bottom-right-radius:0;
}





/*pop up*/




.popup-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}

.popup-overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 20% auto;
  padding: 20px;
  max-height: 70%;
  background: #fff;
  border-radius: 5px;
  width: 30%;
  position: relative;
  transition: all 2s ease-in-out;
  overflow: auto;
  text-align: center;
}

/*
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}*/
.popup .content {
  max-height: 30%;
}

@media screen and (max-width: 700px){
  .popup{
    width: 70%;
  }
}






